#
# Conditional build:
%bcond_without	doc	# Sphinx documentation

Summary:	Documentation tool for GObject-based libraries
Summary(pl.UTF-8):	Narzędzie do dokumentowania bibliotek opartych na GObject
Name:		gi-docgen
Version:	2023.3
Release:	1
License:	Apache v2.0 or GPL v3+
Group:		Development/Tools
Source0:	https://download.gnome.org/sources/gi-docgen/2023/%{name}-%{version}.tar.xz
# Source0-md5:	b1730da9a75566306d6464f60dbe1262
URL:		https://gitlab.gnome.org/GNOME/gi-docgen
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with doc}
BuildRequires:	python3-Sphinx
BuildRequires:	python3-jinja2
BuildRequires:	python3-markdown >= 3.2
BuildRequires:	python3-markupsafe
BuildRequires:	python3-pygments
BuildRequires:	python3-sphinx_rtd_theme
%if "%{py3_ver}" != "3.11"
BuildRequires:	python3-tomli
%endif
BuildRequires:	python3-typogrify
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GI-Docgen is a document generator for GObject-based libraries. GObject
is the base type system of the GNOME project. GI-Docgen reuses the
introspection data generated by GObject-based libraries to generate
the API reference of these libraries, as well as other ancillary
documentation.

%description -l pl.UTF-8
GI-Docgen to generator dokumentacji do bibliotek opartych na
bibliotece GObject. GObject to bazowy system typów projektu GNOME.
GI-Docgen wykorzystuje dane introspekcji wygenerowane przez biblioteki
oparte na GObject w celu wygenerowania dokumentacji API bibliotek, a
także innej, dodatkowej dokumentacji.

%package doc
Summary:	Documentation for GI-Docgen tool
Summary(pl.UTF-8):	Dokumentacja do narzędzia GI-Docgen
Group:		Documentation

%description doc
Documentation for GI-Docgen tool.

%description doc -l pl.UTF-8
Dokumentacja do narzędzia GI-Docgen.

%prep
%setup -q

%build
%py3_build

%if %{with doc}
%{__make} -C docs
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/gi-docgen
%{py3_sitescriptdir}/gidocgen
%{py3_sitescriptdir}/gi_docgen-%{version}-py*.egg-info
%{_npkgconfigdir}/gi-docgen.pc
%{_mandir}/man1/gi-docgen.1*

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc docs/_build/{_static,tools,*.html,*.js}
%endif
%changelog
* Sun Nov 26 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gi-docgen.git;a=log;h=master

* Sun Nov 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 0e7b6fa
- updated to 2023.3

* Sat Nov 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 7e61c9a
- updated to 2023.2

* Sat Mar 04 2023 Jakub Bogusz <qboosh@pld-linux.org> a34c692
- updated to 2023.1

* Wed Nov 09 2022 Jakub Bogusz <qboosh@pld-linux.org> 49ee332
- updated to 2022.2

* Tue Mar 29 2022 Jan Palus <atler@pld-linux.org> c3bc036
- Release 3 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 10ce911
- rebuild with python 3.10

* Mon Feb 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 9aa03e5
- updated to 2022.1
- removed obsolete qualify_type patch

* Tue Nov 09 2021 Jan Palus <atler@pld-linux.org> 224c5ef
- upstream patch for fixing double type qualify; rel 2

* Thu Oct 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 9fc6233
- updated to 2021.8

* Wed Aug 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 45031a4
- new URLs, updated to 2021.7
- removed obsolete main patch

* Thu Mar 25 2021 Jan Palus <atler@pld-linux.org> 8c3394d
- fix build without doc

* Fri Mar 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 0a042c6
- added main patch (fix execution via egg entry_point)
- provide pkg-config file from meson

* Fri Mar 12 2021 Jakub Bogusz <qboosh@pld-linux.org> bfbc6f9
- new

